// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/DiagnosticsDispatcherFactory.h 975 2018-10-31 09:24:04Z depa $
#pragma once

#include "tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/DiagnosticsDispatcher.h"


namespace Sharknir { namespace Bcu {

class DiagnosticsDispatcherFactory
{
public:
    virtual DiagnosticsDispatcherPtr build()= 0;
    virtual ~DiagnosticsDispatcherFactory()= 0;
};
SHARKNIR_DECLARE_BOOST_SP(DiagnosticsDispatcherFactory)


}
}
